diff --git a/web/pgadmin/browser/static/scss/_browser.scss b/web/pgadmin/browser/static/scss/_browser.scss
index 894112aa..555ca3f2 100644
--- a/web/pgadmin/browser/static/scss/_browser.scss
+++ b/web/pgadmin/browser/static/scss/_browser.scss
@@ -57,3 +57,8 @@ samp,
   color: $color-gray-darker !important;
   border: none;
 }
+
+/* If Bootstrap tab is already active then don't show pointer cursor */
+.nav-tabs > .nav-item > .nav-link.active {
+  cursor: default;
+}
diff --git a/web/pgadmin/dashboard/templates/dashboard/database_dashboard.html b/web/pgadmin/dashboard/templates/dashboard/database_dashboard.html
index 30c02dfa..4b43b095 100644
--- a/web/pgadmin/dashboard/templates/dashboard/database_dashboard.html
+++ b/web/pgadmin/dashboard/templates/dashboard/database_dashboard.html
@@ -65,14 +65,17 @@
                 <div class="dashboard-tab-container">
                     <!-- Nav tabs -->
                     <ul class="nav nav-tabs dashboard-tab-panel" role="tablist">
-                        <li role="presentation" class="active dashboard-tab"><a href="#tab_panel_database_activity"
+                        <li role="presentation" class="nav-item dashboard-tab"><a href="#tab_panel_database_activity"
+                                                                                class="nav-link active"
                                                                                 aria-controls="tab_database_activity"
                                                                                 role="tab" data-toggle="tab">{{ _('Sessions') }}</a>
                         </li>
-                        <li role="presentation" class="dashboard-tab"><a href="#tab_panel_database_locks"
+                        <li role="presentation" class="nav-item dashboard-tab"><a href="#tab_panel_database_locks"
+                                                                         class="nav-link"
                                                                          aria-controls="tab_database_locks" role="tab"
                                                                          data-toggle="tab">{{ _('Locks') }}</a></li>
-                        <li role="presentation" class="dashboard-tab"><a href="#tab_panel_database_prepared"
+                        <li role="presentation" class="nav-item dashboard-tab"><a href="#tab_panel_database_prepared"
+                                                                         class="nav-link"
                                                                          aria-controls="tab_database_prepared" role="tab"
                                                                          data-toggle="tab">{{ _('Prepared Transactions') }}</a></li>
                     </ul>
diff --git a/web/pgadmin/dashboard/templates/dashboard/server_dashboard.html b/web/pgadmin/dashboard/templates/dashboard/server_dashboard.html
index 57e0b47b..c81ab34f 100644
--- a/web/pgadmin/dashboard/templates/dashboard/server_dashboard.html
+++ b/web/pgadmin/dashboard/templates/dashboard/server_dashboard.html
@@ -65,17 +65,21 @@
                     <div class="dashboard-tab-container">
                         <!-- Nav tabs -->
                         <ul class="nav nav-tabs dashboard-tab-panel" role="tablist">
-                            <li role="presentation" class="active dashboard-tab"><a href="#tab_panel_server_activity"
+                            <li role="presentation" class="nav-item dashboard-tab"><a href="#tab_panel_server_activity"
+                                                                                    class="nav-link active"
                                                                                     aria-controls="tab_server_activity"
                                                                                     role="tab" data-toggle="tab">{{ _('Sessions') }}</a>
                             </li>
-                            <li role="presentation" class="dashboard-tab"><a href="#tab_panel_server_locks"
+                            <li role="presentation" class="nav-item dashboard-tab"><a href="#tab_panel_server_locks"
+                                                                             class="nav-link"
                                                                              aria-controls="tab_server_locks" role="tab"
                                                                              data-toggle="tab">{{ _('Locks') }}</a></li>
-                            <li role="presentation" class="dashboard-tab"><a href="#tab_panel_server_prepared"
+                            <li role="presentation" class="nav-item dashboard-tab"><a href="#tab_panel_server_prepared"
+                                                                             class="nav-link"
                                                                              aria-controls="tab_server_prepared" role="tab"
                                                                              data-toggle="tab">{{ _('Prepared Transactions') }}</a></li>
-                            <li role="presentation" class="dashboard-tab"><a href="#tab_panel_server_config"
+                            <li role="presentation" class="nav-item dashboard-tab"><a href="#tab_panel_server_config"
+                                                                             class="nav-link"
                                                                              aria-controls="tab_server_config" role="tab"
                                                                              data-toggle="tab">{{ _('Configuration') }}</a></li>
                         </ul>
